import request from '@/utils/request'

export function getInspectionPage(data) {
  return request({
    url: '/js-check-project/page',
    method: 'get',
    params: data
  })
}

export function getInspectionList(data) {
  return request({
    url: '/js-check-project/list',
    method: 'post',
    data: data
  })
}

export function getInspectionDetail(data) {
  return  request({
    url: '/js-check-project/listById',
    method: 'post',
    data: data
  })
}

export function addInspectionPage(data) {
  return request({
    url: '/js-check-project/add',
    method: 'post',
    data: data
  })
}

export function editInspectionPage(data) {
  return request({
    url: '/js-check-project/edit',
    method: 'post',
    data: data
  })
}

export function delInspectionPage(data) {
  return request({
    url: '/js-check-project/delete',
    method: 'post',
    data: data
  })
}
